<script lang="ts">
import Vue from 'vue';

export default Vue.extend({
  name: 'SecurityCtaSection',
  props: {
    data: {
      type: Object,
      required: true,
      default() {
        return {};
      },
    },
  },
});
</script>

<template>
  <section
    class="security-cta-section"
    :class="`security-cta-section--${data.layout}`"
  >
    <SlpContainer>
      <SlpRow>
        <SlpColumn
          v-for="(card, index) in data.cards"
          :key="index"
          :cols="6"
          class="security-cta-section__column"
        >
          <a
            class="security-cta-section__card"
            :href="card.link.url"
            :data-ga-name="card.link.data_ga_name"
            :data-ga-location="card.link.data_ga_location"
          >
            <SlpIcon
              :name="card.icon.name"
              variant="marketing"
              :alt="card.icon.name"
              size="lg"
              :hex-color="card.icon.hex_color"
              :slp-color="card.icon.slp_color"
            />
            <SlpTypography
              variant="heading4"
              tag="h3"
              class="security-cta-section__card-title"
              >{{ card.title }}</SlpTypography
            >
            <span class="security-cta-section__card-link" :href="card.link.url">
              <SlpTypography variant="body1-bold">{{
                card.link.text
              }}</SlpTypography>
              <SlpIcon
                name="chevron-lg-right"
                variant="product"
                alt="Chevron Right Icon"
                class="slp-ml-8"
              />
            </span>
          </a>
        </SlpColumn>
      </SlpRow>
    </SlpContainer>
  </section>
</template>

<style scoped lang="scss">
.security-cta-section {
  margin: $spacing-32 auto;
  @media (min-width: $breakpoint-md) {
    margin: $spacing-64 auto;
  }

  &__column {
    margin-bottom: $spacing-32;
    @media (min-width: $breakpoint-md) {
      &:first-child {
        padding-right: $spacing-32;
      }
    }
  }

  &__card {
    border-radius: 16px;
    color: $color-text-300;
    display: flex;
    flex-direction: column;
    background: $color-surface-800;
    padding: $spacing-32;
    transition: all 0.3s ease-in;
    width: 100%;
    max-width: 100%;

    height: 100%;
    &:hover {
      box-shadow: $color-primary-100 0 24px 50px -24px;
    }
    .security-cta-section--dark & {
      background: $color-primary-300;
    }
  }

  &__card-link {
    display: flex;
    align-items: center;
    margin: auto 0 $spacing-8;
  }

  &__card-title {
    margin: $spacing-16 0 $spacing-32 0;
  }

  &--dark {
    background: $color-surface-800;
    margin: 0 auto;
    padding: $spacing-32 0;
    @media (min-width: $breakpoint-md) {
      padding: $spacing-64 0;
    }
  }
  &--slim {
    margin-top: $spacing-32;
  }
}
</style>
